## kms++ 0~git20250426~164358+0f18e6d

=== meson_options.txt ===
option('omap', type : 'feature', value : 'auto',
       description : 'Build omapdrm extensions')

option('libutils', type : 'boolean', value : true,
       description : 'Build kms++utils library')

option('utils', type : 'boolean', value : true,
       description : 'Build an assortment of kms++ utils and tests')

option('pykms', type : 'feature', value : 'auto',
       description : 'Build python bindings')

option('kmscube', type : 'boolean', value : false,
       description : 'Build kmscube test application')

=== debian/changelog ===
kms++ (0~git20250426~164358+0f18e6d-0ubuntu1) questing; urgency=medium

  * Initial upload to Ubuntu (LP: #2092065)
  * d/control: Update maintainer, standards-version
  * d/copyright: Update copyright
  * d/watch: Add watchfile for new versions

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Mon, 21 Jul 2025 11:07:39 +0100

kms++ (0~git20250426~164358+0f18e6d-1) trixie; urgency=medium

  * Update to head of tree
  * d/c: pkg-config => pkgconf
  * lintian-overrides: ignore no-manual-page
  * d/copyright: fix superfluous-file-pattern

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 13 May 2025 11:50:26 +0100

kms++ (0~git20231115~065257+9ae90ce-1) bookworm; urgency=medium

  * Update to head of tree

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 12 Jan 2024 17:23:11 +0000

kms++ (0~git20230930~162059+b91affd-1) bookworm; urgency=medium

  * Update to head of tree

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 05 Oct 2023 13:16:03 +0100

kms++ (0~git20221104~171243+adc05b6-1) bullseye; urgency=medium

  * Update to head of tree

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 07 Nov 2022 12:16:51 +0000

kms++ (0~git20211110~105525+2236a8c-1) bullseye; urgency=medium

  * Initial release

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 21 Apr 2022 16:21:38 +0100

=== debian/control ===
Source: kms++
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends: debhelper-compat (= 13),
 cmake,
 dh-python,
 libdrm-dev,
 libevdev-dev,
 libfmt-dev,
 meson,
 pkgconf,
 python3-dev,
 pybind11-dev,
Standards-Version: 4.7.2.0
Section: libs
Homepage: https://github.com/tomba/kmsxx
Vcs-Git: https://github.com/tomba/kmsxx.git
Rules-Requires-Root: no

Package: libkms++-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkms++0 (= ${binary:Version}), ${misc:Depends}
Description: C++ library for kernel mode setting - development files
 C++11 library, utilities and python bindings for Linux kernel mode setting
 .
 This package contains the development files.

Package: libkms++0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ library for kernel mode setting
 C++11 library, utilities and python bindings for Linux kernel mode setting

Package: kms++-utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ library for kernel mode setting - utilities
 C++11 library, utilities and python bindings for Linux kernel mode setting
 .
 This package contains:
  * kmsblank - blank screen(s)
  * kmstest - set modes and planes and show test pattern on crtcs/planes,
    and test page flips
  * kmsprint - print information about DRM objects
  * fbtest

Package: python3-kms++
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: C++ library for kernel mode setting - python3 bindings
 C++11 library, utilities and python bindings for Linux kernel mode setting
 .
 This package contains the Python 3 bindings.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

=== debian/watch ===
version=4
opts="searchmode=plain" \
  https://archive.raspberrypi.org/debian/pool/main/k/kms++/ \
  kms\+\+_(0~git[0-9]{8}~[0-9]{6}\+[a-f0-9]+)\.orig\.tar\.(?:gz|xz) debian uupdate

## kms++ 0~git20250807.1813ada

=== debian/changelog ===
kms++ (0~git20250807.1813ada-1) trixie; urgency=medium

  * d/c: pkg-config => pkgconf
  * lintian-overrides: ignore no-manual-page
  * d/copyright: fix superfluous-file-pattern
  * d/gbp.conf: update debian branch

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 12 Aug 2025 12:59:32 +0100

kms++ (0~git20250807.1813ada-1~bookworm) bookworm; urgency=medium

  * debian: add watch file
  * debian: add gbp.conf
  * New upstream version 0~git20250807.1813ada

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 12 Aug 2025 12:50:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: kms++
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Serge Schneider <serge@raspberrypi.com>
+Maintainer: Serge Schneider <serge@raspberrypi.com>
 Build-Depends: debhelper-compat (= 13),
  cmake,
  dh-python,
@@ -12,7 +11,7 @@
  pkgconf,
  python3-dev,
  pybind11-dev,
-Standards-Version: 4.7.2.0
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/tomba/kmsxx
 Vcs-Git: https://github.com/tomba/kmsxx.git
